> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company by URL

>  - Retrieve valuable data points using a company’s LinkedIn URL. 

 - 1 credit per call.

```bash cURL theme={null}
curl --request GET \
	--url 'https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fapple%2F' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl"

querystring = {
    "linkedin_url": "https://www.linkedin.com/company/apple/"
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript JavaScript theme={null}
const params = new URLSearchParams({
	linkedin_url: "https://www.linkedin.com/company/apple/"
});

const url = `https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl?${params}`;
const options = {
	method: 'GET',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
	}
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$query = http_build_query([
	'linkedin_url' => "https://www.linkedin.com/company/apple/"
]);

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl" . "?" . $query,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"net/url"
)

func main() {
	params := url.Values{}
	params.Add("linkedin_url", "https://www.linkedin.com/company/apple/")

	req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl?"+params.Encode(), nil)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/get-company-by-linkedinurl?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fapple%2F"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.method("GET", HttpRequest.BodyPublishers.noBody())
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml GET /get-company-by-linkedinurl
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-company-by-linkedinurl:
    get:
      description: |2-
         - Retrieve valuable data points using a company’s LinkedIn URL. 

         - 1 credit per call.
      parameters:
        - name: linkedin_url
          in: query
          description: ''
          required: true
          schema:
            type: string
            example: https://www.linkedin.com/company/apple/
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyByLinkedin'
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompanyByLinkedin:
      type: object
      properties:
        message:
          type: string
          example: ok
        data:
          type: object
          properties:
            affiliated_companies:
              type: array
              items:
                type: string
              example: []
            company_id:
              type: string
              example: '162479'
            company_name:
              type: string
              example: Apple
            description:
              type: string
              example: >-
                We’re a diverse collective of thinkers and doers, continually
                reimagining what’s possible to help us all do what we love in
                new ways. And the same innovation that goes into our products
                also applies to our practices — strengthening our commitment to
                leave the world better than we found it. This is where your work
                can make a difference in people’s lives. Including your own.


                Apple is an equal opportunity employer that is committed to
                inclusion and diversity. Visit apple.com/careers to learn more.
            domain:
              type: string
              example: apple.com
            email:
              type: string
              example: ''
            employee_count:
              type: integer
              example: 165036
            employee_range:
              type: string
              example: 10001+
            follower_count:
              type: integer
              example: 17689006
            funding_info:
              type: object
              properties:
                crunchbase_url:
                  type: string
                  example: https://www.crunchbase.com/organization/apple
                last_funding_round_amount:
                  type: string
                  nullable: true
                  example: null
                last_funding_round_currency:
                  type: string
                  nullable: true
                  example: null
                last_funding_round_month:
                  type: integer
                  example: 4
                last_funding_round_type:
                  type: string
                  example: Post IPO equity
                last_funding_round_year:
                  type: integer
                  example: 2021
                num_funding_rounds:
                  type: string
                  nullable: true
                  example: null
            hq_address_line1:
              type: string
              example: 1 Apple Park Way
            hq_address_line2:
              type: string
              example: ''
            hq_city:
              type: string
              example: Cupertino
            hq_country:
              type: string
              example: US
            hq_full_address:
              type: string
              example: 1 Apple Park Way, Cupertino, California 95014, US
            hq_postalcode:
              type: string
              example: '95014'
            hq_region:
              type: string
              example: California
            industries:
              type: array
              items:
                type: string
              example:
                - Computers and Electronics Manufacturing
            linkedin_url:
              type: string
              example: https://www.linkedin.com/company/apple/
            locations:
              type: array
              items:
                type: object
                properties:
                  city:
                    type: string
                    example: Cupertino
                  country:
                    type: string
                    example: US
                  full_address:
                    type: string
                    example: 1 Apple Park Way, Cupertino, California 95014, US
                  is_headquarter:
                    type: boolean
                    example: true
                  line1:
                    type: string
                    example: 1 Apple Park Way
                  line2:
                    type: string
                    example: ''
                  region:
                    type: string
                    example: California
                  zipcode:
                    type: string
                    example: '95014'
              example:
                - city: Cupertino
                  country: US
                  full_address: 1 Apple Park Way, Cupertino, California 95014, US
                  is_headquarter: true
                  line1: 1 Apple Park Way
                  line2: ''
                  region: California
                  zipcode: '95014'
            logo_url:
              type: string
              example: >-
                https://media.licdn.com/dms/image/v2/C560BAQHdAaarsO-eyA/company-logo_400_400/company-logo_400_400/0/1630637844948/apple_logo?e=1744243200&v=beta&t=UZPODQ4VLm4xKooGWuiYIUtapnfYcfNDEc_gYgqNZN8
            phone:
              type: string
              example: ''
            specialties:
              type: string
              example: >-
                Innovative Product Development, World-Class Operations, Retail,
                Telephone Support
            tagline:
              type: string
              example: ''
            website:
              type: string
              example: http://www.apple.com/careers
            year_founded:
              type: integer
              example: 1976
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.